resource "incus_storage_volume" "archive_var_www" {
  name = "archive_var_www"
  pool = incus_storage_pool.default.name
}

resource "incus_instance" "archive" {
  name  = "archive"
  image = "images:alpine/3.20"

  device {
    name = "var_www"
    type = "disk"
    properties = {
      path   = "/var/www"
      source = incus_storage_volume.archive_var_www.name
      pool   = incus_storage_pool.default.name
    }
  }
}
